List catalogs
curl --request GET \
--url https://api.getcortexapp.com/api/v1/catalog-pages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getcortexapp.com/api/v1/catalog-pages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getcortexapp.com/api/v1/catalog-pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"catalogPages": [
{
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"iconTag": "cortex",
"isCortexManaged": true,
"isDraft": true,
"name": "<string>",
"slug": "my-catalog",
"type": "FILTER",
"description": "<string>",
"filter": {
"groups": {
"exclude": [
"<string>"
],
"include": [
"<string>"
]
},
"query": "<string>",
"types": {
"exclude": [
"<string>"
],
"include": [
"<string>"
]
}
},
"relationshipTypeTag": "<string>"
}
],
"page": 123,
"total": 123,
"totalPages": 123
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}List catalogs
Retrieves a list of catalogs.
API key must have the View catalogs permission.
GET
/
api
/
v1
/
catalog-pages
List catalogs
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Query Parameters
Number of results to return per page, between 1 and 1000. Default 250.
Page number to return, 0-indexed. Default 0.
Last modified on September 29, 2026